Package org.apache.velocity.runtime.parser.node

# Class ASTIntegerRange.IntegerRange.RangeIterator

java.lang.Object
org.apache.velocity.runtime.parser.node.ASTIntegerRange.IntegerRange.RangeIterator

All Implemented Interfaces:
  `Iterator<Integer>`, `ListIterator<Integer>`

Enclosing class:
  `ASTIntegerRange.IntegerRange`

public class ASTIntegerRange.IntegerRange.RangeIterator extends Object implements ListIterator<Integer>

## Constructor Summary

Constructors
Constructor
Description
`RangeIterator()`
`RangeIterator(int startIndex)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Integer integer)`
`boolean`
`hasNext()`
`boolean`
`hasPrevious()`
`Integer`
`next()`
`int`
`nextIndex()`
`Integer`
`previous()`
`int`
`previousIndex()`
`void`
`remove()`
`void`
`set(Integer integer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### RangeIterator

public RangeIterator()

### RangeIterator

public RangeIterator(int startIndex)

## Method Details

### next

public Integer next()

Specified by:
  `next` in interface `Iterator<Integer>`
Specified by:
  `next` in interface `ListIterator<Integer>`

### hasPrevious

public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `ListIterator<Integer>`

### previous

public Integer previous()

Specified by:
  `previous` in interface `ListIterator<Integer>`

### nextIndex

public int nextIndex()

Specified by:
  `nextIndex` in interface `ListIterator<Integer>`

### previousIndex

public int previousIndex()

Specified by:
  `previousIndex` in interface `ListIterator<Integer>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Integer>`
Specified by:
  `remove` in interface `ListIterator<Integer>`

### set

public void set(Integer integer)

Specified by:
  `set` in interface `ListIterator<Integer>`

### add

public void add(Integer integer)

Specified by:
  `add` in interface `ListIterator<Integer>`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Integer>`
Specified by:
  `hasNext` in interface `ListIterator<Integer>`